/* Dropdown
 *------------------------------------------------------------*/

.hygge-dropdown {
	position: relative;
	z-index: 2;

	.hygge-dropdown__handle {
		cursor: pointer;
		.transition;

		.on&,
		&:hover {
			color: @primary-color;
		}

		&:after {
			content: ' \f078';
			font-family: 'Hygge-Icons';
			font-size: 9px;
			vertical-align: bottom;
		}
	}

	.hygge-dropdown__menu {
		display: block;
		position: absolute;
		left: 0;
		top: 100%;
		background: @grey-pale;
		padding: 30px 20px;
		white-space: nowrap;
		.translateY( -10px );
		opacity: 0;
		visibility: hidden;
		.transition;

		ul {
			list-style: none;
			margin: 0;
			padding: 0;

			li {
				padding: 0;

				& + li {
					margin-top: 5px;
				}

				a {
					display: block;
					padding: 5px 0;
					.link-color( @grey, @black );

					&[selected] {
						color: @black;

						&:after {
							content: '\e937';
							font-family: 'Hygge-Icons';
							float: right;
							line-height: 1;
							font-size: 16px;
							margin-left: 30px;
							color: @primary-color;
						}
					}
				}
			}
		}
	}

	&.on {
		.hygge-dropdown__menu {
			opacity: 1;
			visibility: visible;
			.translateY( 0 );
		}
	}
}
